Dienstag, 16. September 2008

Life is a bitch: Livna Buildsys down, thus no new kmod packages in Livna right now :-/

Life is a bitch -- the buildsys for livna is down again, thus I'm unable to build new kmod packages for the 2.6.26 kernels Fedora recently published for Fedora 8 and 9. Thus please be patient for a while; we'll build and publish them as soon as possible (but there is no ETA yet when the buildsys comes back; hopefully soon).

If you really need a new kmod for the 2.6.26 kernels you can either use akmods (Fedora 9 only) or follow the steps to manually rebuild a kmod srpm.

Example how to use akmod-nvidia on Fedora 9:

yum install akmod-nvidia

Just restart after that; the kmod should get compiled and installed on next startup. You might need to restart a second time before the nvidia driver gets enabled again -- there was a bug which was fixed just recently.

But there is one more problem: at least the akmods/srpms in the repos for iscsitarget, madwifi and qc-usb are not compiling with 2.6.26 yet :-/ Some of the maintainers have patches for this, so this problems hopefully will also be fixed quickly once the buildsys is back. I was told akmod-madwifi from devel might work, but someone else said it compiles, but doesn't work :-/

For RPM Fusion things hopefully will get better, as the buildsys seems to be more reliable. And we have two x86-builders, so one of them can go down without causing trouble. Ohh, and we'll be able to build kmod packages quicker thanks to the second builder.

Kommentare:

axet hat gesagt…

also ask livna team about last VLC player pleaseee!!

Arthur Dent hat gesagt…

Wow! Thanks for this. The long delay waiting for the Livna kmod-nvidia package was driving me nuts. I had no idea what the problem was / is (there should be some more information on the Livna website really); but more importantly I had absolutely no idea of the existence of the "akmod" system. Genius!

One quick "yum install", 2 reboots and I'm back up and running!

Thank you so much!....

Anonym hat gesagt…

$ rpmbuild --rebuild nvidia-kmod-173.14.12-3.lvn9.src.rpm --define "kernel kernel-2.6.26.3-29.fc9.i686" --target i686

error: Failed build dependencies:
buildsys-build-rpmfusion-kerneldevpkgs-newest-i686 is needed by nvidia-kmod-173.14.12-3.fc9.i686

# yum install buildsys-build-rpmfusion-kerneldevpkgs-newest-i686

Error: Missing Dependency: kernel-devel-uname-r = 2.6.25.14-108.fc9.i686.PAE is needed by package 9:buildsys-build-rpmfusion-kerneldevpkgs-newest-9.1-10.lvn9.i686 (livna)

dead end.

Thorsten "thl" Leemhuis hat gesagt…

Anonym said...

$ rpmbuild --rebuild nvidia-kmod-173.14.12-3.lvn9.src.rpm --define "kernel kernel-2.6.26.3-29.fc9.i686" --target i686
error: [...]
dead end.

Read more closely. This
--define "kernel kernel-2.6.26.3-29.fc9.i686"
is not the same as
--define "kernels kernel-2.6.26.3-29.fc9.i686"
;-)

beezel hat gesagt…

Thanks so much! I'm finally back to fedora after a poor hardware choice left me without for several months, and this was the first thing to stump me. Worked like a charm.